All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, 1 > > Class Template Reference

`#include <seq_view.hpp>`

## Public Member Functions

| seq_view (typename pass_type< Eigen::Matrix< S, Eigen::Dynamic, 1 > >::type x)
pass_type< T >::type | operator[] (int n) const
int | size () const

## Detailed Description

### template<typename T, typename S>
class stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, 1 > >

Definition at line 59 of file seq_view.hpp.

## Constructor & Destructor Documentation

template<typename T , typename S >

stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, 1 > >::seq_view | ( | typename pass_type< Eigen::Matrix< S, Eigen::Dynamic, 1 > >::type | x | ) |

inline explicit

Definition at line 63 of file seq_view.hpp.

## Member Function Documentation

template<typename T , typename S >

pass_type<T>::type stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, 1 > >::operator[] | ( | int | n | ) | const

inline

Definition at line 68 of file seq_view.hpp.

template<typename T , typename S >

int stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, 1 > >::size | ( |  | ) | const

inline

Definition at line 71 of file seq_view.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/mat/meta/seq_view.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.